Skip to content

Update bookingorder guestdata

PUT
/v1/bookingorders/{bookingorder_id}/guestdata

Updates all the guest data for bookingorder

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

bookingorder_id*

XS2event ID of the Bookingorder

Type
string
Required

Request Body

application/json
JSON
{
  
"items": [
  
  
{
  
  
  
"ticket_id": "a5cf8e7b39c14aeba4de30a8f67b9e23_tck",
  
  
  
"guests": [
  
  
  
  
{
  
  
  
  
  
"first_name": "John",
  
  
  
  
  
"last_name": "Doe",
  
  
  
  
  
"passport_number": "ABC123456",
  
  
  
  
  
"contact_email": "user@example.com",
  
  
  
  
  
"contact_phone": "+31123456789",
  
  
  
  
  
"lead_guest": true,
  
  
  
  
  
"date_of_birth": "1991-01-30",
  
  
  
  
  
"gender": "male",
  
  
  
  
  
"country_of_residence": "NLD",
  
  
  
  
  
"street_name": "Hereweg 95",
  
  
  
  
  
"additional_street_name": "e",
  
  
  
  
  
"city": "Groningen",
  
  
  
  
  
"zip": "9721AA",
  
  
  
  
  
"province": "Groningen",
  
  
  
  
  
"guest_id": null,
  
  
  
  
  
"conditions": {
  
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
  
},
  
  
  
  
  
"reservation_id": "5e3ae0658c9e405a9a62367293b8f56b_rsv",
  
  
  
  
  
"ticket_id": "ac8e9e918b4b4756b0f32e583a9cb3e4_tck"
  
  
  
  
}
  
  
  
]
  
  
}
  
]
}

Responses

OK

application/json
JSON
{
  
"bookingorder_id": null,
  
"items": [
  
  
{
  
  
  
"ticket_id": "a5cf8e7b39c14aeba4de30a8f67b9e23_tck",
  
  
  
"quantity": 2,
  
  
  
"guests": [
  
  
  
  
{
  
  
  
  
  
"first_name": "John",
  
  
  
  
  
"last_name": "Doe",
  
  
  
  
  
"passport_number": "ABC123456",
  
  
  
  
  
"contact_email": "user@example.com",
  
  
  
  
  
"contact_phone": "+31123456789",
  
  
  
  
  
"lead_guest": true,
  
  
  
  
  
"date_of_birth": "1991-01-30",
  
  
  
  
  
"gender": "male",
  
  
  
  
  
"country_of_residence": "NLD",
  
  
  
  
  
"street_name": "Hereweg 95",
  
  
  
  
  
"additional_street_name": "e",
  
  
  
  
  
"city": "Groningen",
  
  
  
  
  
"zip": "9721AA",
  
  
  
  
  
"province": "Groningen",
  
  
  
  
  
"guest_id": null,
  
  
  
  
  
"conditions": {
  
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
  
}
  
  
  
  
}
  
  
  
]
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples